
#pragma once

#include <ndds/ndds_c.h>
#include <dds/domain/DomainParticipant.hpp>
#include <dds/core/ddscore.hpp>


namespace test{


DDS_DomainParticipant* CreateOldParticiapnt(int id);
/*{
	auto old_part = DDSTheDomainParticipantFactory->create_participant( id );
	return old_part->get_c_domain_participantI();

}*/

inline ::dds::domain::DomainParticipant
CreateModernDomainParticipant(int id){
	DDS_DomainParticipant* c_part = CreateOldParticiapnt(id);
	return rti::core::detail::create_from_native_entity<::dds::domain::DomainParticipant, DDS_DomainParticipant>(c_part);
}

} // namespace test

